<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>RangeCopier (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RangeCopier (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10,"i2":9,"i3":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RangeCopier.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ReadingOrder.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/RangeCopier.html" target="_top">Frames</a>
        </li>
        <li><a href="RangeCopier.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Class RangeCopier" class="title">Class RangeCopier</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.usermodel.RangeCopier</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRangeCopier.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFRangeCopier</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFRangeCopier.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFRangeCopier</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public abstract class <span class="typeNameLabel">RangeCopier</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RangeCopier.html#RangeCopier-org.apache.poi.ss.usermodel.Sheet-">RangeCopier</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RangeCopier.html#RangeCopier-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.usermodel.Sheet-">RangeCopier</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sourceSheet,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;destSheet)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RangeCopier.html#adjustCellReferencesInsideFormula-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.Sheet-int-int-">adjustCellReferencesInsideFormula</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;destSheet,
                                    int&nbsp;deltaX,
                                    int&nbsp;deltaY)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RangeCopier.html#adjustInBothDirections-org.apache.poi.ss.formula.ptg.Ptg:A-int-int-int-">adjustInBothDirections</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs,
                                    int&nbsp;sheetIndex,
                                    int&nbsp;deltaX,
                                    int&nbsp;deltaY)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RangeCopier.html#cloneCellContent-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.Cell-java.util.Map-">cloneCellContent</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;srcCell,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                       title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;destCell,
                                    java.util.Map&lt;java.lang.Integer,<a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                            title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&gt;&nbsp;styleMap)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RangeCopier.html#copyRange-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.util.CellRangeAddress-">copyRange</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;tilePatternRange,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;tileDestRange)</code>
                                    <div class="block">Uses input pattern to tile destination region, overwriting
                                        existing content.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="RangeCopier-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RangeCopier</h4>
                                <pre>public&nbsp;RangeCopier(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sourceSheet,
                   <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                      title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;destSheet)</pre>
                            </li>
                        </ul>
                        <a name="RangeCopier-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>RangeCopier</h4>
                                <pre>public&nbsp;RangeCopier(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sheet)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="copyRange-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.util.CellRangeAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copyRange</h4>
                                <pre>public&nbsp;void&nbsp;copyRange(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;tilePatternRange,
                      <a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                         title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;tileDestRange)</pre>
                                <div class="block">Uses input pattern to tile destination region, overwriting existing
                                    content. Works in following manner :
                                    1.Start from top-left of destination.
                                    2.Paste source but only inside of destination borders.
                                    3.If there is space left on right or bottom side of copy, process it as in step 2.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>tilePatternRange</code> - source range which should be copied in tiled
                                        manner
                                    </dd>
                                    <dd><code>tileDestRange</code> - destination range, which should be overridden</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="adjustCellReferencesInsideFormula-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.Sheet-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>adjustCellReferencesInsideFormula</h4>
                                <pre>protected abstract&nbsp;void&nbsp;adjustCellReferencesInsideFormula(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                                          <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                                             title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;destSheet,
                                                          int&nbsp;deltaX,
                                                          int&nbsp;deltaY)</pre>
                            </li>
                        </ul>
                        <a name="adjustInBothDirections-org.apache.poi.ss.formula.ptg.Ptg:A-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>adjustInBothDirections</h4>
                                <pre>protected&nbsp;boolean&nbsp;adjustInBothDirections(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs,
                                         int&nbsp;sheetIndex,
                                         int&nbsp;deltaX,
                                         int&nbsp;deltaY)</pre>
                            </li>
                        </ul>
                        <a name="cloneCellContent-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.Cell-java.util.Map-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>cloneCellContent</h4>
                                <pre>public static&nbsp;void&nbsp;cloneCellContent(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;srcCell,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                       title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;destCell,
                                    java.util.Map&lt;java.lang.Integer,<a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                            title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&gt;&nbsp;styleMap)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RangeCopier.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ReadingOrder.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/RangeCopier.html" target="_top">Frames</a>
        </li>
        <li><a href="RangeCopier.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
